/*
 * fltk version v0.0
 * by hackervalley@free.fr
 * http://hackervalley.free.fr
 * January 2005
 * this program is licensed under the GPL.
 */
 
#include <fltk/run.h>
#include <fltk/Window.h>
#include <fltk/Output.h>

#include <string>
#include <sstream>

/* Global declaration */

const int Unit = 30;
const int XApp = 600;
const int YApp = 200;
const int WidthApp = 400;
const int HeightApp = 400;
 
int
main (int argc, char **argv)
{
	float fltkVersion = fltk::version();
	
	std::ostringstream os;
	os << "Fltk Version : " << fltkVersion << std::flush;
	
	fltk::Window *window = new fltk::Window( XApp, YApp, WidthApp, HeightApp, NULL);
			
	window->begin();
		fltk::Output *output = new fltk::Output( 0, Unit, WidthApp, Unit, "Output");
		output->value(os.str().c_str());
		window->end();
 	window->show();
		
	return fltk::run();
	
	delete output;
	delete window;
}
